#!/usr/bin/env python3

from classes.science.plate import Plate
from classes.utils.settings import Settings
from astropy.io.fits import open
from sys import argv as arguments

settings = Settings( arguments[ 1 : ] )

print( settings )

hdul  = open( settings.input )
plate = Plate( hdul[0].data )
head  = hdul[0].header

hdul.close()

import matplotlib.pyplot as plt

plt.imshow( plate.image[ plate.border.slice() ] )
plt.show()
